/*
 * Newt-Puzzle
 * Copyright (C) Aude Jaulent 2009 <elderme@tuxfamily.org>
 * 
 * Newt-Puzzle is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Newt-Puzzle is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _TICTACTOEOPTIONS_H_
#define _TICTACTOEOPTIONS_H_

#include "../fileManager.h"
#include "../fileUtil.h"
#include "../stringUtil.h"


class TicTacToeOptions
{
public:
	TicTacToeOptions(std::string fileName, std::vector<int> defaultColors);
	~TicTacToeOptions();
	
	int getColor(int numPlayer);
	std::vector<int> getColors();
	int getNbPlayers();
	int getGridSize();
	int getVictoryCondition();
	bool isAutoSelectionEnabled();
	bool areColoredLightsEnabled();
		
	void setDefaultParameters(std::vector<int> defaultColors);
				
	void readConfigurationFile();
	void writeConfigurationFile();		
		
		
protected:
	std::string mFileName;
	
	std::vector<int> mColors;
	int mGridSize;
	int mVictoryCondition;
		
	bool mAutoSelection;
	bool mColoredLights;
};

#endif // _TICTACTOEOPTIONS_H_
